Package jgromacs.data

# Class Atom

java.lang.Object
jgromacs.data.Atom

All Implemented Interfaces:
  `Cloneable`

public class Atom extends Object implements Cloneable
Objects of this class represent a single atom

## Constructor Summary

Constructors
Constructor
Description
`Atom()`
Constructs a new Atom object

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Returns an identical Atom object
`double`
`distance(Atom other)`
Returns the Euclidean distance between this atom and another atom
`boolean`
`equals(Object other)`
Returns true if the two atoms are identical
`AtomType`
`getAtomType()`
Returns the type of atom
`double`
`getBvalue()`
Returns the B-value of atom
`Point3D`
`getCoordinates()`
Returns the coordinates of atom
`int`
`getIndex()`
Returns the index of atom
`String`
`getName()`
Returns the name of atom
`double`
`getOccupancy()`
Returns the occupancy of atom
`double`
`getXCoordinate()`
Returns the X coordinate of atom
`double`
`getYCoordinate()`
Returns the Y coordinate of atom
`double`
`getZCoordinate()`
Returns the Z coordinate of atom
`int`
`hashCode()`
Returns hash code
`boolean`
`isAlphaCarbon()`
Returns true if it is an alpha carbon atom
`boolean`
`isBackboneAtom()`
Returns true if it is a backbone atom
`boolean`
`isBetaCarbon()`
Returns true if it is a beta carbon atom
`boolean`
`isCarbonylOxygen()`
Returns true if it is a carbonyl oxygen atom
`boolean`
`isCTerminalCarbon()`
Returns true if it is a C-terminal carbon atom
`boolean`
`isDeltaCarbon()`
Returns true if it is a delta carbon atom
`boolean`
`isEpsilonCarbon()`
Returns true if it is an epsilon carbon atom
`boolean`
`isGammaCarbon()`
Returns true if it is a gamma carbon atom
`boolean`
`isHeavyAtom()`
Returns true if it is a heavy atom (not hydrogen)
`boolean`
`isHydrogenAtom()`
Returns true if the atom is a Hydrogen
`boolean`
`isMainChainAtom()`
Returns true if it is a main chain atom
`boolean`
`isMainChainHydrogenAtom()`
Returns true if it is a main chain hydrogen atom
`boolean`
`isMainChainPlusCbAtom()`
Returns true if it is a main chain or beta carbon atom
`boolean`
`isMainChainPlusHAtom()`
Returns true if it is a main chain or hydrogen atom
`boolean`
`isNTerminalNitrogen()`
Returns true if it is an N-terminal nitrogen atom
`boolean`
`isSideChainAtom()`
Returns true if it is a side chain atom
`boolean`
`isSideChainMinusHAtom()`
Returns true if it is a side chain atom but not hydrogen
`boolean`
`isTerminalOxygen()`
Returns true if it is a terminal oxygen atom
`boolean`
`isZetaCarbon()`
Returns true if it is a zeta carbon atom
`void`
`setAtomType(AtomType atomType)`
Sets the type of atom
`void`
`setBvalue(double bvalue)`
Sets the B-value of atom
`void`
`setCoordinates(Point3D coordinates)`
Sets the coordinates of atom
`void`
`setIndex(int index)`
Sets the index of atom
`void`
`setName(String name)`
Sets the name of atom
`void`
`setOccupancy(double occupancy)`
Sets the occupancy of atom
`void`
`setXCoordinate(double x)`
Sets the X coordinate of atom
`void`
`setYCoordinate(double y)`
Sets the Y coordinate of atom
`void`
`setZCoordinate(double z)`
Sets the Z coordinate of atom
`String`
`toString()`
Returns the String representation of atom

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Atom

public Atom()
Constructs a new Atom object

## Method Details

### getAtomType

public AtomType getAtomType()
Returns the type of atom

Returns:
  Type of the atom

### getIndex

public int getIndex()
Returns the index of atom

Returns:
  Index of the atom

### setIndex

public void setIndex(int index)
Sets the index of atom

Parameters:
  `index` - index of the atom

### getName

public String getName()
Returns the name of atom

Returns:
  Name of the atom

### setName

public void setName(String name)
Sets the name of atom

Parameters:
  `name` - name of the atom

### setAtomType

public void setAtomType(AtomType atomType)
Sets the type of atom

Parameters:
  `atomType` - type of the atom

### getCoordinates

public Point3D getCoordinates()
Returns the coordinates of atom

Returns:
  Coordinates of atom

### setCoordinates

public void setCoordinates(Point3D coordinates)
Sets the coordinates of atom

Parameters:
  `coordinates` - coordinates of the atom

### getXCoordinate

public double getXCoordinate()
Returns the X coordinate of atom

Returns:
  X coordinate of atom

### setXCoordinate

public void setXCoordinate(double x)
Sets the X coordinate of atom

Parameters:
  `x` - X coordinate of the atom

### getYCoordinate

public double getYCoordinate()
Returns the Y coordinate of atom

Returns:
  Y coordinate of atom

### setYCoordinate

public void setYCoordinate(double y)
Sets the Y coordinate of atom

Parameters:
  `y` - Y coordinate of the atom

### getZCoordinate

public double getZCoordinate()
Returns the Z coordinate of atom

Returns:
  Z coordinate of atom

### setZCoordinate

public void setZCoordinate(double z)
Sets the Z coordinate of atom

Parameters:
  `z` - Z coordinate of the atom

### getOccupancy

public double getOccupancy()
Returns the occupancy of atom

Returns:
  occupancy of atom

### setOccupancy

public void setOccupancy(double occupancy)
Sets the occupancy of atom

Parameters:
  `occupancy` - occupancy of the atom

### getBvalue

public double getBvalue()
Returns the B-value of atom

Returns:
  B-value of atom

### setBvalue

public void setBvalue(double bvalue)
Sets the B-value of atom

Parameters:
  `bvalue` - B-value of the atom

### isHydrogenAtom

public boolean isHydrogenAtom()
Returns true if the atom is a Hydrogen

### isHeavyAtom

public boolean isHeavyAtom()
Returns true if it is a heavy atom (not hydrogen)

### isAlphaCarbon

public boolean isAlphaCarbon()
Returns true if it is an alpha carbon atom

### isCTerminalCarbon

public boolean isCTerminalCarbon()
Returns true if it is a C-terminal carbon atom

### isBetaCarbon

public boolean isBetaCarbon()
Returns true if it is a beta carbon atom

### isGammaCarbon

public boolean isGammaCarbon()
Returns true if it is a gamma carbon atom

### isDeltaCarbon

public boolean isDeltaCarbon()
Returns true if it is a delta carbon atom

### isEpsilonCarbon

public boolean isEpsilonCarbon()
Returns true if it is an epsilon carbon atom

### isZetaCarbon

public boolean isZetaCarbon()
Returns true if it is a zeta carbon atom

### isCarbonylOxygen

public boolean isCarbonylOxygen()
Returns true if it is a carbonyl oxygen atom

### isTerminalOxygen

public boolean isTerminalOxygen()
Returns true if it is a terminal oxygen atom

### isNTerminalNitrogen

public boolean isNTerminalNitrogen()
Returns true if it is an N-terminal nitrogen atom

### isBackboneAtom

public boolean isBackboneAtom()
Returns true if it is a backbone atom

### isMainChainAtom

public boolean isMainChainAtom()
Returns true if it is a main chain atom

### isMainChainHydrogenAtom

public boolean isMainChainHydrogenAtom()
Returns true if it is a main chain hydrogen atom

### isMainChainPlusHAtom

public boolean isMainChainPlusHAtom()
Returns true if it is a main chain or hydrogen atom

### isMainChainPlusCbAtom

public boolean isMainChainPlusCbAtom()
Returns true if it is a main chain or beta carbon atom

### isSideChainAtom

public boolean isSideChainAtom()
Returns true if it is a side chain atom

### isSideChainMinusHAtom

public boolean isSideChainMinusHAtom()
Returns true if it is a side chain atom but not hydrogen

### distance

public double distance(Atom other)
Returns the Euclidean distance between this atom and another atom

Parameters:
  `other` - another atom
Returns:
  distance between atoms

### toString

public String toString()
Returns the String representation of atom

Overrides:
  `toString` in class `Object`
Returns:
  String representation

### clone

public Object clone()
Returns an identical Atom object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the atom

### equals

public boolean equals(Object other)
Returns true if the two atoms are identical

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other atom

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`